from django.contrib.auth.models import Group, Permission
from django.contrib.contenttypes.models import ContentType
from core.models import Clientes, Transacciones  # Ajusta según tus modelos

def create_roles():
    # 1. Administrador: Permisos totales
    admin_group, created = Group.objects.get_or_create(name='Administrador')
    if created:
        admin_group.permissions.set(Permission.objects.all())  # Todos los permisos

    # 2. Vendedor: Crear y listar clientes/transacciones
    vendedor_group, created = Group.objects.get_or_create(name='Vendedor')
    if created:
        permissions = Permission.objects.filter(
            codename__in=[
                'add_clientes', 'view_clientes', 
                'add_transacciones', 'view_transacciones'
            ]
        )
        vendedor_group.permissions.set(permissions)

    # 3. Visitante: Solo ver listas de clientes y transacciones
    visitante_group, created = Group.objects.get_or_create(name='Visitante')
    if created:
        permissions = Permission.objects.filter(
            codename__in=['view_clientes', 'view_transacciones']
        )
        visitante_group.permissions.set(permissions)

# Ejecutar esta función una vez para configurar los grupos
# create_roles()
