# Generated by Django 5.1.3 on 2024-12-03 18:33

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Clientes',
            fields=[
                ('id_cliente', models.AutoField(primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=255)),
                ('telefono', models.CharField(blank=True, max_length=50, null=True)),
                ('direccion', models.CharField(blank=True, max_length=255, null=True)),
                ('correo', models.EmailField(blank=True, max_length=254, null=True)),
                ('saldo_actual', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
            ],
        ),
        migrations.CreateModel(
            name='Cobros',
            fields=[
                ('id_cobro', models.AutoField(primary_key=True, serialize=False)),
                ('fecha', models.DateField()),
                ('monto_usd', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True)),
                ('monto_gs', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True)),
                ('observaciones', models.TextField(blank=True, null=True)),
                ('cliente', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.clientes')),
            ],
        ),
        migrations.CreateModel(
            name='Transacciones',
            fields=[
                ('id_transaccion', models.AutoField(primary_key=True, serialize=False)),
                ('fecha', models.DateField()),
                ('monto_recibido', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True)),
                ('monto_debitado', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True)),
                ('saldo_post_transaccion', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True)),
                ('concepto', models.TextField(blank=True, null=True)),
                ('proveedor', models.CharField(blank=True, max_length=255, null=True)),
                ('cliente', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.clientes')),
            ],
        ),
        migrations.CreateModel(
            name='Vehiculos',
            fields=[
                ('id_vehiculo', models.AutoField(primary_key=True, serialize=False)),
                ('marca', models.CharField(max_length=50)),
                ('modelo', models.CharField(blank=True, max_length=50, null=True)),
                ('anho', models.IntegerField(blank=True, null=True)),
                ('nro_chasis', models.CharField(max_length=50, unique=True)),
                ('estado', models.CharField(choices=[('Pendiente de venta', 'Pendiente de venta'), ('Vendido', 'Vendido'), ('Transferencia pendiente', 'Transferencia pendiente'), ('Transferido', 'Transferido')], default='Pendiente de venta', max_length=50)),
                ('cliente', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='core.clientes')),
            ],
        ),
        migrations.CreateModel(
            name='Ventas',
            fields=[
                ('id_venta', models.AutoField(primary_key=True, serialize=False)),
                ('fecha_venta', models.DateField()),
                ('monto_total', models.DecimalField(decimal_places=2, max_digits=10)),
                ('monto_pagado', models.DecimalField(decimal_places=2, max_digits=10)),
                ('estado_transferencia', models.CharField(choices=[('Pendiente', 'Pendiente'), ('Completada', 'Completada')], default='Pendiente', max_length=50)),
                ('adeuda', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('cliente', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.clientes')),
                ('vehiculo', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.vehiculos')),
            ],
        ),
    ]
